geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ivan <xhh...@gmail.com>
Subject Re: Pull Tomcat 7.0.18 to Geronimo side
Date Wed, 13 Jul 2011 14:34:51 GMT
I just merged almost all the changes from Tomcat trunk to our Tomcat ext
7.0.18 code base. Some detailed information could be found in the readme.txt
file. And Tomcat community is preparing for Tomcat 7.0.19, since that our
7.0.18 almost has the same contents with 7.0.19. I am thinking that there is
not strong requirement to remove this branch and re-pull the codes again.
Thoughts ? If no objection, I will prepare the release 7.0.18.1 in the next
two or three days.

2011/7/12 Ivan <xhhsld@gmail.com>

> They accepted the patch partly, now they use the InstanceManager to create
> the instance, but some other changes are not included, you might check the
> commit history :-)
>
> 2011/7/12 David Jencks <david_jencks@yahoo.com>
>
>> DId tomcat accept the change of creating AsyncListeners using the
>> InstanceManager?  If so, then the change in geronimo's copy is all that is
>> needed.
>>
>> thanks!
>> david jencks
>>
>> On Jul 10, 2011, at 11:53 PM, Ivan wrote:
>>
>> I merged all of the changes mentioned in the thread
>> http://old.nabble.com/Preparing-for-a-7.0.19-tag-td32031213.html , now
>> the 7.0.18.0 branch from Geronimo side has the same contents with the Tomcat
>> trunk rev.1144976GERONIMO-5622
>> Also, an extra changes from Geronimo side is also added,  GERONIMO-5622. it
>> will be better that someone could also help to review those changes.
>>
>> If we would release this 7.0.18 branch, which version should be used ?
>> 7.0.18.0 or 7.0.18.1, which is mentioned in the past. The reason for
>> 7.0.18.1 is that, it indicates that some extra changes are done comparing
>> the 7.0.18 code base from Tomcat.
>> Thanks.
>>
>> 2011/7/11 Ivan <xhhsld@gmail.com>
>>
>>> Yes, I will go ahead to pull the codes of 7.0.18, and apply those fixes
>>> on our code base, it is better to know whether the TCK is fine with the new
>>> version, also it looks to me that some integration changes are required.
>>> And it depends on whether Tomcat will release 7.0.19 soon, we could pull
>>> the latest 7.0.19 or release a 7.0.18.1 version with Geronimo 3.0.
>>>
>>> 2011/7/10 Kevan Miller <kevan.miller@gmail.com>
>>>
>>>>
>>>> On Jul 10, 2011, at 10:14 AM, Ivan wrote:
>>>>
>>>> > Seems that there are some issues with 7.0.18, and Tomcat community is
>>>> preparing for 7.0.19.
>>>>
>>>> So I see... I read the tomcat list last night, not this morning.... ;-)
>>>>
>>>> It would be a good idea to pull in an early version and identify any
>>>> integration or tck issues.
>>>>
>>>> Anyway, thanks for tracking this...
>>>>
>>>> --kevan
>>>
>>>
>>>
>>>
>>> --
>>> Ivan
>>>
>>
>>
>>
>> --
>> Ivan
>>
>>
>>
>
>
> --
> Ivan
>



-- 
Ivan

Mime
View raw message